Documentation Index Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
Use this file to discover all available pages before exploring further.
Methods
Retrieves a list of all latest Clusters. Pagination is available based on query parameters. Parameters Returns 🔗 ListClustersResponse Retrieve latest Clusters. If pagination parameters are provided, the response includes paginated data. Usage from truefoundry import TrueFoundry
client = TrueFoundry(
api_key = "YOUR_API_KEY" ,
base_url = "https://yourhost.com/path/to/api" ,
)
client.clusters.list(
limit = 10 ,
offset = 10 ,
)
# Iterate through results
for item in response:
print (item.name)
# Or paginate page by page
for page in response.iter_pages():
for item in page:
print (item.name)
Create or Update cluster with provided manifest Parameters Dry run the cluster creation/update
Returns Usage from truefoundry import TrueFoundry
client = TrueFoundry(
api_key = "YOUR_API_KEY" ,
base_url = "https://yourhost.com/path/to/api" ,
)
client.clusters.create_or_update(
manifest ={ "key" : "value" },
dry_run = False ,
)
Get cluster associated with provided id Parameters Cluster id of the cluster
Returns Usage from truefoundry import TrueFoundry
client = TrueFoundry(
api_key = "YOUR_API_KEY" ,
base_url = "https://yourhost.com/path/to/api" ,
)
client.clusters.get(
id = "id_value" ,
)
Delete cluster associated with provided cluster id Parameters Cluster id of the cluster
Returns Usage from truefoundry import TrueFoundry
client = TrueFoundry(
api_key = "YOUR_API_KEY" ,
base_url = "https://yourhost.com/path/to/api" ,
)
client.clusters.delete(
id = "id_value" ,
)
List addons for the provided cluster. Pagination is available based on query parameters. Parameters Cluster id of the cluster
Returns ListClusterAddonsResponse
ListClusterAddonsResponse
Usage from truefoundry import TrueFoundry
client = TrueFoundry(
api_key = "YOUR_API_KEY" ,
base_url = "https://yourhost.com/path/to/api" ,
)
client.clusters.get_addons(
id = "id_value" ,
limit = 10 ,
offset = 10 ,
)
Get the status of provided cluster Parameters Cluster id of the cluster
Returns IsClusterConnectedResponse
IsClusterConnectedResponse
Usage from truefoundry import TrueFoundry
client = TrueFoundry(
api_key = "YOUR_API_KEY" ,
base_url = "https://yourhost.com/path/to/api" ,
)
client.clusters.is_connected(
id = "id_value" ,
)